# Uses of Interface
java.lang.classfile.attribute.NestHostAttribute

Packages that use NestHostAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of NestHostAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type NestHostAttribute
Modifier and Type
Method
Description
`static AttributeMapper<NestHostAttribute>`
Attributes.`nestHost()`
Returns the mapper for the `NestHost` attribute.

## Uses of NestHostAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type NestHostAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`NestHostAttribute`
Models the `NestHost` attribute (JVMS §4.7.28), which indicates this class is a member of a nest and the host class of the nest.
Methods in java.lang.classfile.attribute that return NestHostAttribute
Modifier and Type
Method
Description
`static NestHostAttribute`
NestHostAttribute.`of(ClassEntry nestHost)`
Returns a `NestHost` attribute.
`static NestHostAttribute`
NestHostAttribute.`of(ClassDesc nestHost)`
Returns a `NestHost` attribute.